function init(hero) {
    hero.setName("Colossus");
    hero.setTier(6);
	
      hero.setHelmet("item.superhero_armor.piece.head");
    hero.setChestplate("item.superhero_armor.piece.chestplate");
    hero.setLeggings("item.superhero_armor.piece.leggings");
    hero.setBoots("item.superhero_armor.piece.boots");
    
	     hero.addPowers("fiskheroes:steel_transformation", "fiskheroes:superhuman_durability", "fiskheroes:fire_immunity", "fiskheroes:explosion_immunity");

       hero.addAttribute("WEAPON_DAMAGE", 2.5, 0);
   hero.addAttribute("PUNCH_DAMAGE", 8, 0);
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.5, 1);
    hero.addAttribute("SPRINT_SPEED", 0.35, 1);	
    hero.addAttribute("STEP_HEIGHT", 0.5, 1);	

    hero.addKeyBind("STEEL_TRANSFORM", "key.steelTransform", 1);
    
    hero.addAttributeProfile("STEEL", steelProfile);
    hero.setAttributeProfile(getAttributeProfile);
    hero.setModifierEnabled(isModifierEnabled);
    hero.setTierOverride(getTierOverride);
	hero.setDefaultScale(1.2);
}


function getTierOverride(entity) {
    return entity.getData("fiskheroes:dyn/steeled") ? 9 : 6;
}

function steelProfile(profile) {
    profile.addAttribute("PUNCH_DAMAGE", 33.0, 0);
	   profile.addAttribute("WEAPON_DAMAGE", 27.5, 0);
    profile.addAttribute("JUMP_HEIGHT", 0.75, 0);
    profile.addAttribute("FALL_RESISTANCE", 100.0, 0);
    profile.addAttribute("SPRINT_SPEED", 0.10, 1);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:dyn/steeled") ? "STEEL" : null;
}

function isModifierEnabled(entity, modifier) {
    return modifier.name() == "fiskheroes:transformation" || modifier.name() == "fiskheroes:cooldown" || entity.getData("fiskheroes:dyn/steeled");
}
